/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Blocker entity File
#ifndef _EBLOCKER_H
#define _EBLOCKER_H

//Includes
#include "Entity.h"
#include "../µsprite.h"

//Defines
#define EVENT_BOSS        0
#define EVENT_AREA        1

//Paramčtres du BLOCKER
// TYPE : static
// p1 et p2 : w h 
// Autres : 

class eBlocker : public CEntity
{
   public:
   	eBlocker();
   	virtual ~eBlocker();
   	virtual void Draw(int layer);
	   virtual void Update();
	   virtual void Destroy();
	   virtual void Load();
	   virtual void CheckInteractions();
	   
	public:
	   int w, h;
	   int event;
};
#endif
